"{ Package: 'jv:libgdbs/tests' }"

TestCase subclass:#GDBSimulatorProcessTests
	instanceVariableNames:'events simulator debugger'
	classVariableNames:''
	poolDictionaries:'GDBCommandStatus'
	category:'GDB-Private-Tests'
!

!GDBSimulatorProcessTests methodsFor:'running'!

tearDown
    simulator notNil ifTrue:[ simulator stop ].
    debugger notNil ifTrue:[ debugger release ].
    events := nil.

    "Created: / 24-06-2014 / 13:10:34 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBSimulatorProcessTests methodsFor:'tests'!

test_01
    events := OrderedCollection new.
    simulator := GDBSimulatorProcess new record: GDBSimulatorResource session_factorial_01.
    simulator start.
    debugger := GDBDebugger newWithProcess: simulator.
    Delay waitForMilliseconds:100.  

    debugger announcer on: GDBEvent do:[:ev | events add: ev ].

    self assert: events isEmpty.

    debugger send: (GDBMI_file_exec_and_symbols new arguments: {'/home/jv/Private/Projects/SmalltalkX/sources/branches/jv1/build/jv/libgdbs/tests/c/factorial'}).

    self assert: events size == 2.
    self assert: events first class == GDBCommandEvent.
    self assert: events first command class == GDBMI_file_exec_and_symbols.
        
    self assert: events second class == GDBCommandResultEvent.
    self assert: events second result command == events first command.

    "Created: / 24-06-2014 / 13:08:21 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 05-07-2014 / 22:54:44 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

test_02
    events := OrderedCollection new.
    simulator := GDBSimulatorProcess new record: GDBSimulatorResource session_factorial_01.
    simulator start.
    debugger := GDBDebugger newWithProcess: simulator.
    Delay waitForMilliseconds:100.  

    debugger announcer on: GDBEvent do:[:ev | events add: ev ].

    self assert: events isEmpty.

    debugger send: (GDBMI_file_exec_and_symbols new arguments: {'bla bla'}).

    self assert: events size == 4.
    self assert: events first class == GDBCommandEvent.
    self assert: events first command class == GDBMI_file_exec_and_symbols.
        
    self assert: events second class == GDBCommandResultEvent.
    self assert: events second result command == events first command.

    "Created: / 05-07-2014 / 22:55:11 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 06-09-2014 / 00:46:01 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

